summaryrefslogtreecommitdiffstats
path: root/source/l/lzo
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/lzo')
-rw-r--r--source/l/lzo/.lzo.info8
-rwxr-xr-xsource/l/lzo/lzo.SlackBuild86
-rw-r--r--source/l/lzo/slack-desc20
3 files changed, 114 insertions, 0 deletions
diff --git a/source/l/lzo/.lzo.info b/source/l/lzo/.lzo.info
new file mode 100644
index 000000000..27564cc0c
--- /dev/null
+++ b/source/l/lzo/.lzo.info
@@ -0,0 +1,8 @@
+PRGNAM=lzo
+VERSION=2.0.2
+HOMEPAGE=http://www.oberhumer.com/opensource/lzo/
+DOWNLOAD=http://www.oberhumer.com/opensource/lzo/download/lzo-2.02.tar.gz
+MD5SUM=6760e5819f4238328709bf93bf10071c
+AUTHOR=Ricardson Williams
+EMAIL=ricardsonwilliams@yahoo.com.br
+APPROVED=Alan Hicks,robw810
diff --git a/source/l/lzo/lzo.SlackBuild b/source/l/lzo/lzo.SlackBuild
new file mode 100755
index 000000000..e4be9d214
--- /dev/null
+++ b/source/l/lzo/lzo.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Copyright 2006 Ricardson Williams <ricardsonwilliams at yahoo.com.br>
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=lzo
+VERSION=2.02
+ARCH=${ARCH:-x86_64}
+NUMJOBS=${NUMJOBS:-" -j7 "}
+BUILD=${BUILD:-1}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --disable-static \
+ --enable-shared \
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make check || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+# while the examples are somewhat interesting, due to autoconf they are
+# rather hard to use outside of the actual source tree...
+cp -a \
+ AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README THANKS \
+ doc \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/l/lzo/slack-desc b/source/l/lzo/slack-desc
new file mode 100644
index 000000000..71b61d6e0
--- /dev/null
+++ b/source/l/lzo/slack-desc
@@ -0,0 +1,20 @@
+
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+lzo: lzo (LZO Compression Library)
+lzo:
+lzo: LZO is a portable lossless data compression library written in ANSI C.
+lzo: It offers pretty fast compression and very fast decompression.
+lzo:
+lzo: Homepage: http://www.oberhumer.com/opensource/lzo/
+lzo:
+lzo:
+lzo:
+lzo:
+lzo: